FINDMNT(8)

NOM
findmnt - Trouver un système de fichiers

SYNOPSIS
findmnt [options]

findmnt [options] périphérique|point_de_montage

findmnt [options] [--source] périphérique [--target] point_de_montage

DESCRIPTION
findmnt affichera la liste de tous les systèmes de fichiers montés ou recherchera un système de fichiers. La commande findmnt peut chercher dans /etc/fstab, /etc/fstab.d, /etc/mtab ou /proc/self/mountinfo. Si périphérique ou point_de_montage ne sont pas donnés, tous les systèmes de fichiers sont montrés.

La commande affiche tous les systèmes de fichiers montés au format arborescent par défaut.

OPTIONS

-h, --help
    Afficher l'aide puis quitter.

-s, --fstab
    Rechercher dans /etc/fstab et /etc/fstab.d. L'affichage est au format liste (consultez l'option --list).

-m, --mtab
    Rechercher dans /etc/mtab. L'affichage est au format liste (consultez l'option --list).

-k, --kernel
    Rechercher dans /proc/self/mountinfo. L'affichage est au format arborescent. C'est le fonctionnement par défaut.

-c, --canonicalize
    Rendre tous les chemins affichés canoniques.

-d,--direction mot
    La direction de recherche — forward (en avant) ou backward (en arrière).

-e, --evaluate
    Convertir toutes les étiquettes et UUID en noms de périphérique.

-f, --first-only
    N'afficher que le premier système de fichiers correspondant.

-i, --invert
    Inverser le sens de la correspondance.

-l, --list
    Utiliser l'affichage au format liste. Ce format de sortie est activé automatiquement si la sortie est restreinte par les options -t, -O, -S ou -T et que l'option --submounts n'est pas utilisée.

-v, --nofsroot
    Ne pas afficher de [/dir] dans la colonne SOURCE pour les remontages ou les sous-volumes Btrfs.

-n, --noheadings
    Ne pas afficher de ligne d'en-tête.

-u, --notruncate
    Ne pas tronquer le texte en colonnes. Les colonnes TARGET, SOURCE, UUID et LABEL ne sont pas tronquées par défaut. Cette option désactive aussi la troncature dans toutes les autres colonnes.

-O, --options liste
    Limiter l'ensemble de systèmes de fichiers affichés. Plusieurs options peuvent être indiquées, séparées par des virgules. Les options -t et -O sont de fait cumulatives. Elle est différente de l'option -t car chaque option correspond exactement ; un no qui précède une option ne s'applique qu'à cette option. Pour plus de précisions, consultez mount(8).

-o, --output liste
    Définir les colonnes de sortie. ACTION, SOURCE, TARGET, OLD-TARGET, FSTYPE, OPTIONS, OLD-OPTIONS, VFS-OPTIONS, FS-OPTIONS, LABEL et UUID sont actuellement prises en charge. La colonne TARGET contient le formatage d'arborescence si les options --list ou --raw ne sont pas indiquées.

-p, --poll[=liste]
    Surveiller les modifications du fichier /proc/self/mountinfo. Les actions permises sont : mount (montage), umount (démontage), remount (remontage) et move (déplacement). Plusieurs actions peuvent être indiquées dans une liste, séparées par des virgules. Touts les actions sont surveillées par défaut.

    Le temps pendant lequel --poll bloquera peut être limité avec les options --timeout ou --first-only.

    Les colonnes standards utilisent toujours la nouvelle version des renseignements du fichier mountinfo, sauf pour l'action umount qui est basée sur les renseignements d'origine mis en cache par findmnt(8). Le mode --poll permet d'utiliser des colonnes supplémentaires :

    ACTION
        noms d'action mount, umount, move ou remount ; cette colonne est activée par défaut ;

    OLD-TARGET
        disponible pour les actions umount et move ;

    OLD-OPTIONS
        disponible pour les actions umount et remount.

-r, --raw
    Utiliser le format de sortie brut.

-a, --ascii
    Utiliser des caractères ASCII pour le formatage d'arborescence.

-t, --types liste
    Limiter l'ensemble de systèmes de fichiers affichés. Plusieurs types peuvent être indiqués, séparés par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer les systèmes de fichiers pour lesquels aucune action ne doit être menée. Pour plus de précisions, consultez mount(8).

-R, --submounts
    Afficher récursivement tous les sous-montages des systèmes de fichiers sélectionnés. Les restrictions définies par les options -t, -O, -S, -T et --direction no sont pas appliquées aux sous-montages. Tous les sous-montages sont toujours affichés dans l'ordre de l'arborescence. L'option active la sortie au format arborescent par défaut. Cette option est sans effet avec --mtab ou --fstab.

-S, --source périphérique
    Définir explicitement la source de montage. Les périphériques, LABEL= et UUID= sont pris en charge.

-T, --target point_de_montage
    Définir explicitement la cible de montage (répertoire du point de montage).

-w, --timeout délai
    Indiquer une limite maximale de temps pendant lequel --poll bloquera, en milliseconde.

EXEMPLES

findmnt --fstab -t nfs
    Afficher tous les systèmes de fichiers NFS définis dans /etc/fstab.

findmnt --fstab /mnt/toto
    Afficher tous les systèmes de fichiers de /etc/fstab où le répertoire du point de montage est /mnt/toto. Cela affiche aussi les remontages dont /mnt/toto est source.

findmnt --fstab --target /mnt/toto
    Afficher tous les systèmes de fichiers de /etc/fstab où le répertoire du point de montage est /mnt/toto.

findmnt --fstab --evaluate
    Afficher tous les systèmes de fichiers de /etc/fstab et convertir les étiquettes et UUID en véritables noms de périphérique.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    N'afficher que le point de montage où le système de fichier avec l'étiquette « /boot » est monté.

findmnt --poll --target /mnt/toto
    Surveiller les montage, démontage, remontage et déplacement de /mnt/toto.

findmnt --poll=umount --first-only --target /mnt/toto
    Attendre le démontage de /mnt/toto.

findmnt --poll=remount -t ext3 -O ro
    Surveiller les remontages en mode lecture seule de tous les systèmes de fichiers ext3.

AUTEURS
Karel Zak <kzak@redhat.com>

VOIR AUSSI
mount(8), fstab(5)

DISPONIBILITÉ
La commande findmnt fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.